summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRash419 <rashesh.padia@collabora.com>2022-03-31 21:32:30 +0530
committerAndras Timar <andras.timar@collabora.com>2022-04-05 22:10:52 +0200
commit446ab463ed59626ebc279a52a2530e02cf876627 (patch)
treed7907a2045204bdc831c09927c692b17c66510bc
parentScript to rewrite coolwsd.xml based on the aliasgroup<number> envvars (diff)
downloadonline-446ab463ed59626ebc279a52a2530e02cf876627.tar.gz
online-446ab463ed59626ebc279a52a2530e02cf876627.zip
docker: added start-collabora-online.pl in docker files
Signed-off-by: Rash419 <rashesh.padia@collabora.com> Change-Id: I224c9dc017257403c7c92ba4be8c3d76e77f5270
-rw-r--r--docker/from-packages/RHEL82
-rw-r--r--docker/from-packages/Ubuntu2
-rwxr-xr-xdocker/from-packages/scripts/start-collabora-online.sh6
-rw-r--r--docker/from-source/.gitignore1
-rw-r--r--docker/from-source/Debian1
-rw-r--r--docker/from-source/Ubuntu1
-rwxr-xr-xdocker/from-source/build.sh1
-rw-r--r--docker/from-source/openSUSE1
8 files changed, 12 insertions, 3 deletions
diff --git a/docker/from-packages/RHEL8 b/docker/from-packages/RHEL8
index da88cb628a..f8ceaf89fb 100644
--- a/docker/from-packages/RHEL8
+++ b/docker/from-packages/RHEL8
@@ -24,7 +24,6 @@ ARG type
ARG secret_key
# Environment variables
-ENV domain localhost
ENV LC_CTYPE C.UTF-8
# Setup scripts for Collabora Online
@@ -34,6 +33,7 @@ RUN rm -rf /install-collabora-online-rhel8.sh
# Start script for Collabora Online
ADD /scripts/start-collabora-online.sh /
+ADD /scripts/start-collabora-online.pl /
EXPOSE 9980
diff --git a/docker/from-packages/Ubuntu b/docker/from-packages/Ubuntu
index 970ff6591a..f28fc31b13 100644
--- a/docker/from-packages/Ubuntu
+++ b/docker/from-packages/Ubuntu
@@ -24,7 +24,6 @@ ARG type
ARG secret_key
# Environment variables
-ENV domain localhost
ENV LC_CTYPE C.UTF-8
# Setup scripts for Collabora Online
@@ -34,6 +33,7 @@ RUN rm -rf /install-collabora-online-ubuntu.sh
# Start script for Collabora Online
ADD /scripts/start-collabora-online.sh /
+ADD /scripts/start-collabora-online.pl /
EXPOSE 9980
diff --git a/docker/from-packages/scripts/start-collabora-online.sh b/docker/from-packages/scripts/start-collabora-online.sh
index 44a626a37b..932d40b2d4 100755
--- a/docker/from-packages/scripts/start-collabora-online.sh
+++ b/docker/from-packages/scripts/start-collabora-online.sh
@@ -36,7 +36,11 @@ fi
# Replace trusted host and set admin username and password - only if they are set
if test -n "${domain}"; then
- perl -pi -e "s/localhost<\/host>/${domain}<\/host>/g" /etc/coolwsd/coolwsd.xml
+ echo -e "ERR: Use of domain variable is not supported. First host/domain who tries to connect to COOL is always allowed.\nTo allow multiple host and its aliases use something like this and pass it as env variable:\naliasgroup1=https://domain1:443,https://its-alias|its-second-alias:443 \naliasgroup2=https://domain2:443,https://its-alias:443 \nFor more info: https://sdk.collaboraonline.com/docs/installation/CODE_Docker_image.html"
+ exit 1
+fi
+if test -n "${aliasgroup1}"; then
+ perl -w /start-collabora-online.pl
fi
if test -n "${username}"; then
perl -pi -e "s/<username (.*)>.*<\/username>/<username \1>${username}<\/username>/" /etc/coolwsd/coolwsd.xml
diff --git a/docker/from-source/.gitignore b/docker/from-source/.gitignore
index 40b3c9fa1e..edddb4d416 100644
--- a/docker/from-source/.gitignore
+++ b/docker/from-source/.gitignore
@@ -1 +1,2 @@
start-collabora-online.sh
+start-collabora-online.pl
diff --git a/docker/from-source/Debian b/docker/from-source/Debian
index 2a5451acb4..59437dbaf7 100644
--- a/docker/from-source/Debian
+++ b/docker/from-source/Debian
@@ -21,6 +21,7 @@ COPY /instdir /
# copy the shell script which can start Collabora Online (coolwsd)
COPY /start-collabora-online.sh /
+COPY /start-collabora-online.pl /
# set up Collabora Online (normally done by postinstall script of package)
# Fix permissions
diff --git a/docker/from-source/Ubuntu b/docker/from-source/Ubuntu
index 5cffc124e6..7d31cec518 100644
--- a/docker/from-source/Ubuntu
+++ b/docker/from-source/Ubuntu
@@ -22,6 +22,7 @@ COPY /instdir /
# copy the shell script which can start Collabora Online (coolwsd)
COPY /start-collabora-online.sh /
+COPY /start-collabora-online.pl /
# set up Collabora Online (normally done by postinstall script of package)
# Fix permissions
diff --git a/docker/from-source/build.sh b/docker/from-source/build.sh
index 7591fa3395..65dbacff2d 100755
--- a/docker/from-source/build.sh
+++ b/docker/from-source/build.sh
@@ -131,6 +131,7 @@ cp -a core/instdir "$INSTDIR"/opt/lokit
if [ -z "$NO_DOCKER_IMAGE" ]; then
cd "$SRCDIR"
cp ../from-packages/scripts/start-collabora-online.sh .
+ cp ../from-packages/scripts/start-collabora-online.pl .
docker build --no-cache -t $DOCKER_HUB_REPO:$DOCKER_HUB_TAG -f $HOST_OS . || exit 1
else
echo "Skipping docker image build"
diff --git a/docker/from-source/openSUSE b/docker/from-source/openSUSE
index 1dcce35eb5..097b8e10c1 100644
--- a/docker/from-source/openSUSE
+++ b/docker/from-source/openSUSE
@@ -16,6 +16,7 @@ COPY /instdir /
# copy the shell script which can start Collabora Online (coolwsd)
COPY /start-collabora-online.sh /
+COPY /start-collabora-online.pl /
# set up Collabora Online (normally done by postinstall script of package)
# Fix permissions